> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch trending people

> This endpoint allows you to get the trending people on TMDB.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /trending/person/{{time_window}}
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /trending/person/{{time_window}}:
    parameters:
      - name: time_window
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Trending
      summary: Fetch trending people
      description: This endpoint allows you to get the trending people on TMDB.
      operationId: fetchTrendingPeople
      parameters:
        - name: language
          in: query
          schema:
            type: string
            example: en-US
          description: ISO-639-1-ISO-3166-1 code
      responses:
        '200':
          description: Fetch trending people
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=153
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Sat, 28 Dec 2024 10:07:28 GMT
            ETag:
              schema:
                type: string
                example: W/"a1a0672e1d0e716eae7dc4cc8da223a7"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 c84ecfd128e1f4c41a53a2b42410f3b8.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: JjKmYG4lOZmHN2XWBr3G9IQzIVWNTeFtyeyPOcZGXOF9unTmj4qyPQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '447'
            x-memc-expires:
              schema:
                type: string
                example: '153'
            x-memc-key:
              schema:
                type: string
                example: 8e3076d3ff2399ed6f663a07a0d73a89
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        adult:
                          type: boolean
                          example: false
                        gender:
                          type: number
                          example: 1
                        id:
                          type: number
                          example: 5009979
                        known_for_department:
                          type: string
                          nullable: true
                          example: null
                        media_type:
                          type: string
                          example: person
                        name:
                          type: string
                          example: 河北彩花
                        original_name:
                          type: string
                          example: 河北彩花
                        popularity:
                          type: number
                          example: 5.817
                        profile_path:
                          type: string
                          nullable: true
                          example: /pDVfME2z2DiosnHFBALHvoSvqs5.jpg
                    example:
                      - adult: false
                        gender: 1
                        id: 5009979
                        known_for_department: null
                        media_type: person
                        name: 河北彩花
                        original_name: 河北彩花
                        popularity: 5.817
                        profile_path: /pDVfME2z2DiosnHFBALHvoSvqs5.jpg
                      - adult: false
                        gender: 2
                        id: 525
                        known_for_department: Directing
                        media_type: person
                        name: Christopher Nolan
                        original_name: Christopher Nolan
                        popularity: 49.577
                        profile_path: /xuAIuYSmsUzKlUMBFGVZaWsY3DZ.jpg
                      - adult: false
                        gender: 2
                        id: 1190668
                        known_for_department: Acting
                        media_type: person
                        name: Timothée Chalamet
                        original_name: Timothée Chalamet
                        popularity: 129.501
                        profile_path: /BE2sdjpgsa2rNTFa66f7upkaOP.jpg
                      - adult: false
                        gender: 2
                        id: 500
                        known_for_department: Acting
                        media_type: person
                        name: Tom Cruise
                        original_name: Tom Cruise
                        popularity: 104.369
                        profile_path: /eOh4ubpOm2Igdg0QH2ghj0mFtC.jpg
                      - adult: false
                        gender: 0
                        id: 31912
                        known_for_department: Visual Effects
                        media_type: person
                        name: Andy Williams
                        original_name: Andy Williams
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 16483
                        known_for_department: Acting
                        media_type: person
                        name: Sylvester Stallone
                        original_name: Sylvester Stallone
                        popularity: 88.773
                        profile_path: /gn3pDWthJqR0VDYGViGD3048og7.jpg
                      - adult: false
                        gender: 0
                        id: 5121818
                        known_for_department: Sound
                        media_type: person
                        name: Natalie Leggett
                        original_name: Natalie Leggett
                        popularity: 2.165
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 3583157
                        known_for_department: Sound
                        media_type: person
                        name: Naoyuki Chikatani
                        original_name: 近谷直之
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 1
                        id: 1287869
                        known_for_department: Costume & Make-Up
                        media_type: person
                        name: Kelly Golden
                        original_name: Kelly Golden
                        popularity: 1.848
                        profile_path: null
                      - adult: false
                        gender: 1
                        id: 5009810
                        known_for_department: Acting
                        media_type: person
                        name: 河北彩花
                        original_name: 河北彩花
                        popularity: 4.131
                        profile_path: /5mH6mkgwFZmeYTJpxVTaqbF3uIn.jpg
                      - adult: false
                        gender: 0
                        id: 2441901
                        known_for_department: Sound
                        media_type: person
                        name: 近谷直之
                        original_name: 近谷直之
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 19292
                        known_for_department: Acting
                        media_type: person
                        name: Adam Sandler
                        original_name: Adam Sandler
                        popularity: 48.484
                        profile_path: /1xVMlB2Ufj8MtXzZkfQlPoadRMm.jpg
                      - adult: false
                        gender: 1
                        id: 1622390
                        known_for_department: Acting
                        media_type: person
                        name: Lee Chae-dam
                        original_name: Lee Chae-dam
                        popularity: 23.362
                        profile_path: /7wMyr6F3yzvbSpu2XMxSW3vObED.jpg
                      - adult: false
                        gender: 1
                        id: 2710789
                        known_for_department: Acting
                        media_type: person
                        name: Seung Ha
                        original_name: 채승하
                        popularity: 28.611
                        profile_path: /nvSJiHakYrDa3CedKSVOEsbLLX8.jpg
                      - adult: false
                        gender: 1
                        id: 24695
                        known_for_department: Acting
                        media_type: person
                        name: Olivia Hussey
                        original_name: Olivia Hussey
                        popularity: 16.408
                        profile_path: /y0maQyz8Cuy3rd2ZwMrd51Y84ox.jpg
                      - adult: false
                        gender: 2
                        id: 10850
                        known_for_department: Production
                        media_type: person
                        name: Kevin Feige
                        original_name: Kevin Feige
                        popularity: 21.199
                        profile_path: /2XZT80gR72to084pEj4f0SCDmDn.jpg
                      - adult: false
                        gender: 2
                        id: 8891
                        known_for_department: Acting
                        media_type: person
                        name: John Travolta
                        original_name: John Travolta
                        popularity: 31.434
                        profile_path: /JSt3skdZpGPJYJixCZqH599WdI.jpg
                      - adult: false
                        gender: 2
                        id: 30614
                        known_for_department: Acting
                        media_type: person
                        name: Ryan Gosling
                        original_name: Ryan Gosling
                        popularity: 64.885
                        profile_path: /4X1wJo5xHm3YICPWZqVCPgLBEJ7.jpg
                      - adult: false
                        gender: 2
                        id: 287
                        known_for_department: Acting
                        media_type: person
                        name: Brad Pitt
                        original_name: Brad Pitt
                        popularity: 66.621
                        profile_path: /4rjnRCQ6bGFYdBb4UooOjsQy12c.jpg
                      - adult: false
                        gender: 1
                        id: 4892636
                        known_for_department: Acting
                        media_type: person
                        name: Chiyuri Itou
                        original_name: Chiyuri Itou
                        popularity: 0.001
                        profile_path: null
                  total_pages:
                    type: number
                    example: 215
                  total_results:
                    type: number
                    example: 4286
              examples:
                Fetch trending people:
                  value:
                    page: 1
                    results:
                      - adult: false
                        gender: 1
                        id: 5009979
                        known_for_department: null
                        media_type: person
                        name: 河北彩花
                        original_name: 河北彩花
                        popularity: 5.817
                        profile_path: /pDVfME2z2DiosnHFBALHvoSvqs5.jpg
                      - adult: false
                        gender: 2
                        id: 525
                        known_for_department: Directing
                        media_type: person
                        name: Christopher Nolan
                        original_name: Christopher Nolan
                        popularity: 49.577
                        profile_path: /xuAIuYSmsUzKlUMBFGVZaWsY3DZ.jpg
                      - adult: false
                        gender: 2
                        id: 1190668
                        known_for_department: Acting
                        media_type: person
                        name: Timothée Chalamet
                        original_name: Timothée Chalamet
                        popularity: 129.501
                        profile_path: /BE2sdjpgsa2rNTFa66f7upkaOP.jpg
                      - adult: false
                        gender: 2
                        id: 500
                        known_for_department: Acting
                        media_type: person
                        name: Tom Cruise
                        original_name: Tom Cruise
                        popularity: 104.369
                        profile_path: /eOh4ubpOm2Igdg0QH2ghj0mFtC.jpg
                      - adult: false
                        gender: 0
                        id: 31912
                        known_for_department: Visual Effects
                        media_type: person
                        name: Andy Williams
                        original_name: Andy Williams
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 16483
                        known_for_department: Acting
                        media_type: person
                        name: Sylvester Stallone
                        original_name: Sylvester Stallone
                        popularity: 88.773
                        profile_path: /gn3pDWthJqR0VDYGViGD3048og7.jpg
                      - adult: false
                        gender: 0
                        id: 5121818
                        known_for_department: Sound
                        media_type: person
                        name: Natalie Leggett
                        original_name: Natalie Leggett
                        popularity: 2.165
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 3583157
                        known_for_department: Sound
                        media_type: person
                        name: Naoyuki Chikatani
                        original_name: 近谷直之
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 1
                        id: 1287869
                        known_for_department: Costume & Make-Up
                        media_type: person
                        name: Kelly Golden
                        original_name: Kelly Golden
                        popularity: 1.848
                        profile_path: null
                      - adult: false
                        gender: 1
                        id: 5009810
                        known_for_department: Acting
                        media_type: person
                        name: 河北彩花
                        original_name: 河北彩花
                        popularity: 4.131
                        profile_path: /5mH6mkgwFZmeYTJpxVTaqbF3uIn.jpg
                      - adult: false
                        gender: 0
                        id: 2441901
                        known_for_department: Sound
                        media_type: person
                        name: 近谷直之
                        original_name: 近谷直之
                        popularity: 0.001
                        profile_path: null
                      - adult: false
                        gender: 2
                        id: 19292
                        known_for_department: Acting
                        media_type: person
                        name: Adam Sandler
                        original_name: Adam Sandler
                        popularity: 48.484
                        profile_path: /1xVMlB2Ufj8MtXzZkfQlPoadRMm.jpg
                      - adult: false
                        gender: 1
                        id: 1622390
                        known_for_department: Acting
                        media_type: person
                        name: Lee Chae-dam
                        original_name: Lee Chae-dam
                        popularity: 23.362
                        profile_path: /7wMyr6F3yzvbSpu2XMxSW3vObED.jpg
                      - adult: false
                        gender: 1
                        id: 2710789
                        known_for_department: Acting
                        media_type: person
                        name: Seung Ha
                        original_name: 채승하
                        popularity: 28.611
                        profile_path: /nvSJiHakYrDa3CedKSVOEsbLLX8.jpg
                      - adult: false
                        gender: 1
                        id: 24695
                        known_for_department: Acting
                        media_type: person
                        name: Olivia Hussey
                        original_name: Olivia Hussey
                        popularity: 16.408
                        profile_path: /y0maQyz8Cuy3rd2ZwMrd51Y84ox.jpg
                      - adult: false
                        gender: 2
                        id: 10850
                        known_for_department: Production
                        media_type: person
                        name: Kevin Feige
                        original_name: Kevin Feige
                        popularity: 21.199
                        profile_path: /2XZT80gR72to084pEj4f0SCDmDn.jpg
                      - adult: false
                        gender: 2
                        id: 8891
                        known_for_department: Acting
                        media_type: person
                        name: John Travolta
                        original_name: John Travolta
                        popularity: 31.434
                        profile_path: /JSt3skdZpGPJYJixCZqH599WdI.jpg
                      - adult: false
                        gender: 2
                        id: 30614
                        known_for_department: Acting
                        media_type: person
                        name: Ryan Gosling
                        original_name: Ryan Gosling
                        popularity: 64.885
                        profile_path: /4X1wJo5xHm3YICPWZqVCPgLBEJ7.jpg
                      - adult: false
                        gender: 2
                        id: 287
                        known_for_department: Acting
                        media_type: person
                        name: Brad Pitt
                        original_name: Brad Pitt
                        popularity: 66.621
                        profile_path: /4rjnRCQ6bGFYdBb4UooOjsQy12c.jpg
                      - adult: false
                        gender: 1
                        id: 4892636
                        known_for_department: Acting
                        media_type: person
                        name: Chiyuri Itou
                        original_name: Chiyuri Itou
                        popularity: 0.001
                        profile_path: null
                    total_pages: 215
                    total_results: 4286
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````